Bug 407451 - cracklib's indexing of words makes password guessing easier
cracklib's indexing of words makes password guessing easier
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cracklib (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-01 13:22 EST by Sami Farin
Modified: 2009-07-14 12:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2007-12-01 13:22:32 EST
Description of problem:

Usage of index makes password guessing easier.  Or does it?
At least it can be used to narrow down possible passwords luser just shoved to
passwd or some other program.

$ cinfo pw_dict.pw?
pw_dict.pwd: 578 pages, 0 pages cached (0.00%)
pw_dict.pwi: 28 pages, 0 pages cached (0.00%)

$ passwd
Changing password for user safari.
Changing password for safari.
(current) UNIX password: 
New UNIX password: 
Retype new UNIX password: 
Sorry, passwords do not match.
New UNIX password: 
$

$ cinfo pw_dict.pw?
pw_dict.pwd: 578 pages, 32 pages cached (5.54%)
pw_dict.pwi: 28 pages, 9 pages cached (32.14%)

Even worse if pw_dict* are on NFS, which is advertized as
"It's even efficient over NFS !"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nalin Dahyabhai 2007-12-03 16:28:01 EST
I'm not sure I understand what you're saying here.  Could you elaborate?  Are
you suggesting that cracklib should read the entire dictionary file into memory?
 How would it ensure that the kernel did not repurpose the pages immediately?
Comment 2 Sami Farin 2007-12-03 17:00:24 EST
I did not suggest reading the entire dictionary into memory.
But my file is only 2 MB, maybe nobody would notice anything.

How to solve timing attacks (i.e., if a daemon is asked about a word, when
dictionary is not world-readable) and be secure against usage of mincore()
(if dictionary is world-readable) is left as an exercise for the maintainer(s).
Comment 3 Bug Zapper 2008-05-14 00:04:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 19:14:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:03:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.